Skip to content

Creates a new subledger entry record that does not already exist.

Request

This method will auto-generate an ID and create a new subledger entry. If an ID is specified for the subledger entry, an error will be thrown.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Bodyapplication/jsonrequired

The subledger entry that you would like to be saved.

batch_idstring(Batch)required

The batch the entry is tied to

business_unit_idstring(Business Unit)required

The business unit that the batch belongs in

cogs_entry_idstring(Cogs Entry)
contact_idstring(Contact)
credit_card_last_five_digitsstring(Credit Card Last Five Digits)

For payments, the last five digits of the credit card

credit_idstring(Credit)
credit_memo_idstring(Credit Memo)
credit_usage_idstring(Credit Usage)
customer_typestring(Customer Type)
Enum:"contact""organization"
datestring, (date)(Date)required

The date of the batch

debit_memo_idstring(Debit Memo)
fiscal_periodinteger, [ 1 .. 12 ](Fiscal Period)required

The fiscal period of the batch

fiscal_year_idstring(Fiscal Year)required

The fiscal year of the business unit

gift_idstring(Gift)
idstring(ID)required

A unique id for the entry

inventory_receipt_idstring(Inventory Receipt)
invoice_idstring(Invoice)
itemsArray of objects, >= 2 itemsrequired
notesstring(Notes)
order_datestring(Order Date)
order_idstring(Order)
organization_idstring(Organization)
payment_card_typestring(Payment Card Type)

The tyep of card for payment

payment_idstring(Payment)
payment_reference_numberstring(Payment Reference Number)

For payments, the reference or check #

payment_typestring(Payment Type)

The payment type

refund_idstring(Refund)
revenue_recognition_schedule_entry_idstring(Revenue Recognition Schedule Entry)
revenue_recognition_schedule_idstring(Revenue Recognition Schedule)
sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

transaction_datestring(Transaction Date)
transaction_idstring(Transaction)
transaction_typestring(Transaction Type)
write_off_idstring(Write Off)
curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/subledgerEntries/{tenantId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "batch_id": "string",
    "business_unit_id": "string",
    "cogs_entry_id": "string",
    "contact_id": "string",
    "credit_card_last_five_digits": "string",
    "credit_id": "string",
    "credit_memo_id": "string",
    "credit_usage_id": "string",
    "customer_type": "contact",
    "date": "2019-08-24",
    "debit_memo_id": "string",
    "fiscal_period": 1,
    "fiscal_year_id": "string",
    "gift_id": "string",
    "id": "string",
    "inventory_receipt_id": "string",
    "invoice_id": "string",
    "items": [
      {
        "accounting_project_code": "string",
        "accounting_project_id": "string",
        "bank_account_id": "string",
        "credit_usage_line_item_id": "string",
        "credits": 0.1,
        "debits": 0.1,
        "deferral_end_date": "2019-08-24T14:15:22Z",
        "deferral_start_date": "2019-08-24T14:15:22Z",
        "department_code": "string",
        "department_id": "string",
        "due_to_due_from_business_unit_id": "string",
        "gl_account_code": "string",
        "gl_account_id": "string",
        "gl_account_name": "string",
        "invoice_id": "string",
        "invoice_line_item_id": "string",
        "merchant_account_id": "string",
        "payment_line_item_id": "string",
        "product_id": "string",
        "product_name": "string",
        "product_type": "string",
        "transaction_credits": 0.1,
        "transaction_currency_code": "AED",
        "transaction_debits": 0.1,
        "type": "accounts receivable"
      },
      {
        "accounting_project_code": "string",
        "accounting_project_id": "string",
        "bank_account_id": "string",
        "credit_usage_line_item_id": "string",
        "credits": 0.1,
        "debits": 0.1,
        "deferral_end_date": "2019-08-24T14:15:22Z",
        "deferral_start_date": "2019-08-24T14:15:22Z",
        "department_code": "string",
        "department_id": "string",
        "due_to_due_from_business_unit_id": "string",
        "gl_account_code": "string",
        "gl_account_id": "string",
        "gl_account_name": "string",
        "invoice_id": "string",
        "invoice_line_item_id": "string",
        "merchant_account_id": "string",
        "payment_line_item_id": "string",
        "product_id": "string",
        "product_name": "string",
        "product_type": "string",
        "transaction_credits": 0.1,
        "transaction_currency_code": "AED",
        "transaction_debits": 0.1,
        "type": "accounts receivable"
      }
    ],
    "notes": "string",
    "order_date": "string",
    "order_id": "string",
    "organization_id": "string",
    "payment_card_type": "string",
    "payment_id": "string",
    "payment_reference_number": "string",
    "payment_type": "string",
    "refund_id": "string",
    "revenue_recognition_schedule_entry_id": "string",
    "revenue_recognition_schedule_id": "string",
    "sys_bulk_load_at": "string",
    "sys_bulk_load_id": "string",
    "sys_bulk_load_pk": "string",
    "sys_bulk_load_record_no": 0.1,
    "sys_bulk_load_source_file": "string",
    "sys_calculated_field_error": "string",
    "sys_calculated_field_errors": [
      {
        "error": "string",
        "field": "string"
      }
    ],
    "sys_configuration_snapshot_id": "string",
    "sys_created_at": "2019-08-24T14:15:22Z",
    "sys_created_by_id": "string",
    "sys_deleted_by_id": "string",
    "sys_directive": "string",
    "sys_external_id": "string",
    "sys_has_files_in_s3": true,
    "sys_last_bulk_data_operation_id": "string",
    "sys_last_bulk_data_operation_sys_version": "string",
    "sys_last_modified_at": "2019-08-24T14:15:22Z",
    "sys_last_modified_by_id": "string",
    "sys_last_security_context": {},
    "sys_locked": true,
    "sys_snapshot_base_version": 0.1,
    "sys_version": 0.1,
    "transaction_date": "string",
    "transaction_id": "string",
    "transaction_type": "string",
    "write_off_id": "string"
  }'

Responses

The subledger entry was saved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
batch_idstring(Batch)required

The batch the entry is tied to

business_unit_idstring(Business Unit)required

The business unit that the batch belongs in

cogs_entry_idstring(Cogs Entry)
contact_idstring(Contact)
credit_card_last_five_digitsstring(Credit Card Last Five Digits)

For payments, the last five digits of the credit card

credit_idstring(Credit)
credit_memo_idstring(Credit Memo)
credit_usage_idstring(Credit Usage)
customer_typestring(Customer Type)
Enum:"contact""organization"
datestring, (date)(Date)required

The date of the batch

debit_memo_idstring(Debit Memo)
fiscal_periodinteger, [ 1 .. 12 ](Fiscal Period)required

The fiscal period of the batch

fiscal_year_idstring(Fiscal Year)required

The fiscal year of the business unit

gift_idstring(Gift)
idstring(ID)required

A unique id for the entry

inventory_receipt_idstring(Inventory Receipt)
invoice_idstring(Invoice)
itemsArray of objects, >= 2 itemsrequired
notesstring(Notes)
order_datestring(Order Date)
order_idstring(Order)
organization_idstring(Organization)
payment_card_typestring(Payment Card Type)

The tyep of card for payment

payment_idstring(Payment)
payment_reference_numberstring(Payment Reference Number)

For payments, the reference or check #

payment_typestring(Payment Type)

The payment type

refund_idstring(Refund)
revenue_recognition_schedule_entry_idstring(Revenue Recognition Schedule Entry)
revenue_recognition_schedule_idstring(Revenue Recognition Schedule)
sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

transaction_datestring(Transaction Date)
transaction_idstring(Transaction)
transaction_typestring(Transaction Type)
write_off_idstring(Write Off)
Response
{ "batch_id": "string", "business_unit_id": "string", "cogs_entry_id": "string", "contact_id": "string", "credit_card_last_five_digits": "string", "credit_id": "string", "credit_memo_id": "string", "credit_usage_id": "string", "customer_type": "contact", "date": "2019-08-24", "debit_memo_id": "string", "fiscal_period": 1, "fiscal_year_id": "string", "gift_id": "string", "id": "string", "inventory_receipt_id": "string", "invoice_id": "string", "items": [ { … }, { … } ], "notes": "string", "order_date": "string", "order_id": "string", "organization_id": "string", "payment_card_type": "string", "payment_id": "string", "payment_reference_number": "string", "payment_type": "string", "refund_id": "string", "revenue_recognition_schedule_entry_id": "string", "revenue_recognition_schedule_id": "string", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "transaction_date": "string", "transaction_id": "string", "transaction_type": "string", "write_off_id": "string" }